### Class

# Camel CertDB

#### Description

    class Camel.CertDB : GObject.Object
    {
      CamelCertDBPrivate* priv
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### camel_certdb_new

No description available.

#### Functions

###### camel_certdb_get_default

FIXME Document me!

#### Instance methods

###### camel_certdb_clear

No description available.

###### camel_certdb_get_host

No description available.

since: 3.6

###### camel_certdb_list_certs

Gathers a list of known certificates. Each certificate in the returned `GSList` is referenced, thus unref it with `camel_cert_unref()` when done with it, the same as free the list itself.

since: 3.16

###### camel_certdb_load

No description available.

###### camel_certdb_put

Puts a certificate to the database. In case there exists a certificate with the same hostname and fingerprint, then it is replaced. This adds its own reference on the `cert`.

since: 3.6

###### camel_certdb_remove_host

Removes a certificate identified by the `hostname` and `fingerprint`.

since: 3.6

###### camel_certdb_save

No description available.

###### camel_certdb_set_default

No description available.

###### camel_certdb_set_filename

No description available.

###### camel_certdb_touch

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CamelCertDBClass {
      GObjectClass parent_class;
      gint (* header_load) (
        CamelCertDB* certdb,
        FILE* istream
      );
      gint (* header_save) (
        CamelCertDB* certdb,
        FILE* ostream
      );
      CamelCert* (* cert_load) (
        CamelCertDB* certdb,
        FILE* istream
      );
      gint (* cert_save) (
        CamelCertDB* certdb,
        CamelCert* cert,
        FILE* ostream
      );
      gpointer reserved;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`header_load: gint (* header_load) ( CamelCertDB* certdb, FILE* istream )`

  No description available.

`header_save: gint (* header_save) ( CamelCertDB* certdb, FILE* ostream )`

  No description available.

`cert_load: CamelCert* (* cert_load) ( CamelCertDB* certdb, FILE* istream )`

  No description available.

`cert_save: gint (* cert_save) ( CamelCertDB* certdb, CamelCert* cert, FILE* ostream )`

  No description available.

`reserved: gpointer`

  No description available.

#### Virtual methods

###### Camel.CertDBClass.cert_load

No description available.

###### Camel.CertDBClass.cert_save

No description available.

###### Camel.CertDBClass.header_load

No description available.

###### Camel.CertDBClass.header_save

No description available.